Upgrading bad row event

Hi Guys,

Bad row event is outdated, requirement is to upgrade the bad row event for event recovery. Our collectors and enrichers are also outdated, upgrading the collectors and enrichers to the latest version will fulfil the requirement? Or do we have to do different changes for the bad row event upgrade.

If we have any specific topic in the documentation, please guide on that. Your help is much appreciated.

Thanks in Advance.

In short, collector, enrich, and loaders will need to be updated, since all of them can emit bad rows.

You can find the upgrade guide for the specific version in question here.

Note that this upgrade guide comes from before we stopped doing β€˜umbrella’ releases - instead we now release the components individually. However you can find our recommended Distribution here to figure out the latest recommended versions of each component.

Since the bad row update is a big one, one approach is to follow the guide to update to R118 first, then focus on brining the pipeline up to the latest and greatest from there.

2 Likes

Thanks a lot Colm!